<form {% if cssID %}id="{{ cssID }}"{% endif %} class="position-relative dynamic-form{% if class %} {{ class }}{% endif %}" name="{{ formName ? formName : formId }}">
    {% if showSuccessMessage %}
        <div class="dynamic-form__success ce_text">
            {{ successMessage|raw }}
        </div>
    {% else %}
        {% if errorBag.messages is not empty %}
            {% for error in errorBag.messages %}
                <p class="alert alert-warning">
                    {{ error|join('<br>') }}
                </p>
            {% endfor %}
        {% endif %}
        <div class="formbody">
            <input type="hidden" name="REQUEST_TOKEN" value="{{ '{{request_token}}' }}">
        {% for formField in formFields %}
            {{ formField|raw }}
        {% endfor %}
        </div>
    {% endif %}
        <script async>
                window.initDynamicForm = function (selector) {
                        const form = document.querySelector(selector);
                        form.addEventListener('submit', dynamicFormSubmit);
                }
                window.dynamicFormSubmit = function (ev) {
                        ev.preventDefault();

                        const formId = ev.target.getAttribute('name');
                        const componentId = ev.target.getAttribute('wire:id');
                        const component = Livewire.find(componentId);

                        if (window['captchas'] !== undefined && window['captchas']['captcha' + formId] !== null) {
                                component.set('fieldValues.captcha', (window.hcaptcha || window.grecaptcha).getResponse(window['captchas']['captcha' + formId]));
                                window['captchas']['captcha' + formId] = null;
                        }

                        if (ev.submitter.getAttribute('value') === 'back') {
                                component.previousPage(formId);
                        } else {
                                component.nextPage(formId);
                        }
                }
                initDynamicForm('{% if cssID %}#{{ cssID }}{% else %}form[name="{{ formName ? formName : formId }}"]{% endif %}');
        </script>
        <div wire:loading class="position-absolute start-0 left-0 top-0 right-0 end-0 bottom-0 dynamic-forms-loading">
                <div class="d-flex flex-column justify-content-center align-items-center h-100">
                        <div class="spinner-border" role="status">
                                <span class="visually-hidden">Wird geladen...</span>
                        </div>
                        <p>Wird geladen...</p>
                </div>
        </div>
</form>
